Microsimulation API: ssim::ProcessWithPId Class Reference

Microsimulation API

Public Member Functions | Private Attributes | List of all members
ssim::ProcessWithPId Class Reference

utility Process class providing a utility interface with the simulator. More...

`#include <ssim.h>`

Inheritance diagram for ssim::ProcessWithPId:
[legend]
Collaboration diagram for ssim::ProcessWithPId:
[legend]

## Public Member Functions
ProcessId | activate () throw ()
| activates this process within the simulator. More...
ProcessId | pid () const throw ()
| process id of this process. More...
| ProcessWithPId () throw ()
Public Member Functions inherited from ssim::Process
virtual | ~Process ()
virtual void | initialize (void)
| action executed when the process is initialized. More...
virtual void | process_event (const Event *msg)
| action executed in response to an event signaled to this process. More...
virtual void | stop (void)
| executed when the process is explicitly stopped. More...

## Private Attributes
ProcessId | process_id

## Detailed Description

utility Process class providing a utility interface with the simulator.

This is a sligtly more advanced Process class that provides automatic management of its own process id.

Definition at line 212 of file ssim.h.

## Constructor & Destructor Documentation

## ◆ ProcessWithPId()

ssim::ProcessWithPId::ProcessWithPId | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 296 of file ssim.cc.

## Member Function Documentation

## ◆ activate()

ProcessId ssim::ProcessWithPId::activate | ( |  | ) |
throw | ( |
| ) |  |

activates this process within the simulator.

Creates a simulator process with this process object. The same ProcessWithPId can be activated only once.

Returns
  the ProcessId of the created simulator process. Or NULL_PROCESSID if this process object is not associated with a simulation process.

See also
  Sim::create_process(Process*)

Definition at line 288 of file ssim.cc.

## ◆ pid()

ProcessId ssim::ProcessWithPId::pid | ( |  | ) | const
throw | ( |
| ) |  |

process id of this process.

Returns
  the id of the simulation process with this objectk, or NULL_PROCESSID if no process is associated with this object.

Definition at line 298 of file ssim.cc.

## Member Data Documentation

## ◆ process_id

ProcessId ssim::ProcessWithPId::process_id
| private

Definition at line 238 of file ssim.h.

The documentation for this class was generated from the following files:

- /home/marcle/src/R/microsimulation/inst/include/siena/ssim.h
- /home/marcle/src/R/microsimulation/src/ssim.cc